package com.ylx.common.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

@Target({FIELD})
@Retention(RUNTIME)
public @interface EnumTranslate {

    /**
     * 枚举类
     */
    Class<? extends Enum<?>> enumClass();

    /**
     * 枚举中获取code的方法名
     */
    String codeMethod() default "getCode";

    /**
     * 枚举中获取描述的方法名
     */
    String descMethod() default "getInfo";
}
